ChangeSet
  1.1626 03/12/15 15:10:22 bk@srv.(none) +8 -0
  Merge greg@grande:/bk/mysql-4.0 into srv.(none):/usr/home/bk/mysql-4.0

  sql/mysqld.cc
    1.463 03/12/15 15:10:20 bk@srv.(none) +0 -0
    Auto merged

  mysys/my_init.c
    1.29 03/12/15 15:10:19 bk@srv.(none) +0 -0
    Auto merged

  include/my_global.h
    1.59 03/12/15 15:10:19 bk@srv.(none) +0 -0
    Auto merged

  client/mysqltest.c
    1.110 03/12/15 15:10:19 bk@srv.(none) +0 -0
    Auto merged

  configure.in
    1.292 03/12/15 15:10:18 bk@srv.(none) +0 -0
    Auto merged

  client/mysql.cc
    1.145 03/12/15 15:10:18 bk@srv.(none) +0 -0
    Auto merged

  acinclude.m4
    1.96 03/12/15 15:10:17 bk@srv.(none) +0 -0
    Auto merged

  BitKeeper/etc/logging_ok
    1.300 03/12/15 15:09:48 bk@srv.(none) +0 -0
    auto-union

ChangeSet
  1.1616.1.41 03/12/15 18:14:07 Sinisa@sinisa.nasamreza.org +1 -0
  Merge

  client/mysql.cc
    1.143.1.3 03/12/15 18:14:01 Sinisa@sinisa.nasamreza.org +0 -0
    SCCS merged

ChangeSet
  1.1616.49.3 03/12/14 21:31:02 monty@mysql.com +5 -0
  Portablity fix

  mysql-test/t/timezone.test
    1.3 03/12/14 21:31:01 monty@mysql.com +12 -6
    Portability fix (For AIX 4.3 and other machines that doesn't support MET timezone)

  mysql-test/t/mysqldump.test
    1.5 03/12/14 21:31:01 monty@mysql.com +3 -0
    Portablity fix (Some machines like OSF doesn't read a big double as 'inf'

  mysql-test/r/timezone.result
    1.3 03/12/14 21:31:01 monty@mysql.com +9 -6
    Portability fix (For AIX 4.3 and other machines that doesn't support MET timezone)

  mysql-test/r/mysqldump.result
    1.5 03/12/14 21:31:01 monty@mysql.com +1 -1
    Portablity fix

  mysql-test/r/have_met_timezone.require
    1.5 03/12/14 21:31:01 monty@mysql.com +2 -2
    Portability fix (For AIX 4.3 and other machines that doesn't support MET timezone)

ChangeSet
  1.1616.49.2 03/12/14 08:12:07 monty@mysql.com +3 -0
  Fixed bug in last push found by valgrind

  sql/sql_update.cc
    1.96 03/12/14 08:12:05 monty@mysql.com +1 -1
    Initalize not initialized variable

  sql/opt_range.cc
    1.91 03/12/14 08:12:05 monty@mysql.com +7 -8
    Fixed bug in last push (did not fill max string properly with end space)

  myisam/mi_dbug.c
    1.10 03/12/14 08:12:05 monty@mysql.com +4 -0
    Added comment to warn about probabably unimportant valgrind warning

ChangeSet
  1.1616.49.1 03/12/14 06:39:52 monty@mysql.com +22 -0
  Extend max_allowed_packet to 2G in mysql and mysqldump (Bug #2105)
  Don't dump data for MRG_ISAM or MRG_MYISAM tables. (Bug #1846)
  Ensure that 'lower_case_table_names' is always set on case insensitive file systems. (Bug #1812)
  One can now configure MySQL as windows service as a normal user. (Bug #1802)
  Database names is now compared with lower case in ON clause when lower_case_table_names is set. (Bug #1736)
  IGNORE ... LINES option didn't work when used with fixed length rows. (Bug #1704)
  Change INSERT DELAYED ... SELECT... to INSERT .... SELECT (Bug #1983)
  Safety fix for service 'mysql start' (Bug #1815)

  mysql-test/std_data/loaddata4.dat
    1.1 03/12/14 06:39:50 monty@mysql.com +1 -0

  mysql-test/std_data/loaddata3.dat
    1.1 03/12/14 06:39:50 monty@mysql.com +6 -0

  support-files/mysql.server.sh
    1.33 03/12/14 06:39:50 monty@mysql.com +1 -1
    Safety fix (Bug #1815)

  strings/ctype-tis620.c
    1.23 03/12/14 06:39:50 monty@mysql.com +12 -6
    Ensure that memory is freed properly (Partly becasue of bug #1770)
    Bar should check the proposed patch in #1770 if we can use it

  sql/sql_parse.cc
    1.354 03/12/14 06:39:50 monty@mysql.com +8 -5
    Change INSERT DELAYED ... SELECT... to INSERT .... SELECT

  sql/sql_load.cc
    1.54 03/12/14 06:39:50 monty@mysql.com +49 -14
    IGNORE ... LINES option didn't work when used with fixed length rows. (Bug #1704)
    

  sql/sql_class.h
    1.170 03/12/14 06:39:50 monty@mysql.com +1 -1
    Fixed type

  sql/sql_base.cc
    1.169 03/12/14 06:39:50 monty@mysql.com +13 -0
    Database names is now compared with lower case in ON clause when lower_case_table_names is set. (Bug #1736)

  sql/nt_servc.cc
    1.14 03/12/14 06:39:50 monty@mysql.com +2 -2
    One can now configure MySQL as windows service as a normal user. (Bug #1802)

  sql/mysqld.cc
    1.457.1.13 03/12/14 06:39:50 monty@mysql.com +70 -22
    Merge pidfile create code
    Ensure that 'lower_case_table_names' is always set on case insensitive file systems. (Bug #1812)

  sql/item.h
    1.43 03/12/14 06:39:50 monty@mysql.com +1 -3
    Moved function to item.cc

  sql/item.cc
    1.35 03/12/14 06:39:50 monty@mysql.com +8 -0
    Made function not inline (to make it easier to modify it without recompilation of all files)
    

  mysql-test/t/lowercase_table.test
    1.5 03/12/14 06:39:50 monty@mysql.com +5 -2
    Test mixed lower/uppercase database names

  mysql-test/t/loaddata.test
    1.4 03/12/14 06:39:50 monty@mysql.com +11 -0
    Added test of LOAD DATA INFILE ... IGNORE # LINES for fixed size tables

  mysql-test/std_data/loaddata4.dat
    1.0 03/12/14 06:39:50 monty@mysql.com +0 -0
    BitKeeper file /my/mysql-4.0/mysql-test/std_data/loaddata4.dat

  mysql-test/std_data/loaddata3.dat
    1.0 03/12/14 06:39:50 monty@mysql.com +0 -0
    BitKeeper file /my/mysql-4.0/mysql-test/std_data/loaddata3.dat

  mysql-test/t/insert.test
    1.11 03/12/14 06:39:49 monty@mysql.com +1 -1
    Test INSERT ... DELAYED ... SELECT

  mysql-test/r/lowercase_table.result
    1.5 03/12/14 06:39:49 monty@mysql.com +8 -2
    Update test results

  mysql-test/r/loaddata.result
    1.4 03/12/14 06:39:49 monty@mysql.com +18 -0
    Update test results

  mysql-test/r/insert.result
    1.13 03/12/14 06:39:49 monty@mysql.com +1 -1
    Update test results

  include/my_global.h
    1.55.1.5 03/12/14 06:39:49 monty@mysql.com +3 -0
    Portability fix (Bug #1924)

  configure.in
    1.290.1.1 03/12/14 06:39:49 monty@mysql.com +1 -1
    Test for file linux/config.h

  client/mysqldump.c
    1.101 03/12/14 06:39:49 monty@mysql.com +96 -7
    Extend max_allowed_packet to 2G (Bug #2105)
    Don't dump data for MRG_ISAM or MRG_MYISAM tables. (Bug #1846)

  client/mysql.cc
    1.143.2.1 03/12/14 06:39:49 monty@mysql.com +2 -2
    Extend max_allowed_packet to 2G (Bug #2105)

ChangeSet
  1.1616.1.40 03/12/13 15:41:20 Sinisa@sinisa.nasamreza.org +1 -0
  Merge sinisa@bk-internal.mysql.com:/home/bk/mysql-4.0
  into sinisa.nasamreza.org:/mnt/work/mysql-4.0

  sql/field.cc
    1.80 03/12/13 15:41:15 Sinisa@sinisa.nasamreza.org +0 -0
    Auto merged

ChangeSet
  1.1616.45.4 03/12/13 14:51:05 Sinisa@sinisa.nasamreza.org +1 -0
  Changing a maxumum value for a variable at a request of one
  customer and Dean Ellis.

  client/mysql.cc
    1.143.1.2 03/12/13 14:51:01 Sinisa@sinisa.nasamreza.org +1 -1
    Changing a maxumum value for a variable at a request of one
    customer and Dean Ellis.

ChangeSet
  1.1616.48.4 03/12/13 04:33:36 lenz@mysql.com +1 -0
   - Output redirection does not work with run_command(), use system()
     instead.

  Build-tools/Bootstrap
    1.17 03/12/13 04:33:29 lenz@mysql.com +2 -3
     - Output redirection does not work with run_command(), use system()
       instead.

ChangeSet
  1.1616.48.3 03/12/13 04:23:07 lenz@mysql.com +1 -0
   - added missing space for previous commit

  Build-tools/Bootstrap
    1.16 03/12/13 04:22:58 lenz@mysql.com +1 -1
     - added missing space for previous commit

ChangeSet
  1.1616.48.2 03/12/13 03:52:19 lenz@mysql.com +1 -0
   - fixed file permissions for the server RPM docs directory (BUG 1672)

  support-files/mysql.spec.sh
    1.75 03/12/13 03:52:17 lenz@mysql.com +15 -6
     - fixed file permissions for the server docs directory (BUG 1672)

ChangeSet
  1.1616.48.1 03/12/13 03:49:50 lenz@mysql.com +1 -0
   - Some small Perl enhancements for Do-compile: use more Perl builtins.

  Build-tools/Do-compile
    1.79 03/12/13 03:49:27 lenz@mysql.com +5 -3
     - use more Perl builtins (e.g. hostname(), basename()) instead of forking
       subprocesses

ChangeSet
  1.1616.1.38 03/12/13 04:05:54 monty@mysql.com +1 -0
  Merge bk-internal.mysql.com:/home/bk/mysql-4.0
  into mysql.com:/my/mysql-4.0

  sql/sql_update.cc
    1.95 03/12/13 04:05:54 monty@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1616.47.1 03/12/12 23:21:56 monty@mysql.com +4 -0
  Merge

ChangeSet
  1.1616.46.2 03/12/12 22:02:50 vva@eagle.mysql.r18.ru +1 -0
  refixed last vva patch with monty's instructions

  sql/field.cc
    1.77.1.5 03/12/12 22:02:49 vva@eagle.mysql.r18.ru +2 -2
    refixed last vva patch with monty's instructions

ChangeSet
  1.1616.46.1 03/12/12 21:26:44 vva@eagle.mysql.r18.ru +3 -0
  added checking for old cuted value in Field_enum::store
  (bug #2023)

  sql/field.cc
    1.77.1.4 03/12/12 21:26:22 vva@eagle.mysql.r18.ru +1 -1
    added checking for old cuted value in Field_enum::store
    (bug #2023)

  mysql-test/t/type_enum.test
    1.6 03/12/12 21:26:22 vva@eagle.mysql.r18.ru +11 -0
    added tests for wrong enum values (bug #2023)

  mysql-test/r/type_enum.result
    1.8 03/12/12 21:26:22 vva@eagle.mysql.r18.ru +10 -0
    added tests for wrong enum values (bug #2023)

ChangeSet
  1.1616.45.2 03/12/12 19:00:16 heikki@hundin.mysql.fi +4 -0
  btr0cur.c, row0umod.c:
    Fix bug: if one updated a secondary index column so that its alphabetical value did not change (e.g., abc -> aBc) and rolled back the update, InnoDB failed to return the value in the secondary index to its original value
  row0upd.h:
    Correct typing error
  sync0sync.ic:
    Remove inadvertently pushed sync debug code

ChangeSet
  1.1616.38.2 03/12/12 23:06:26 lenz@mysql.com +2 -0
   - Reworked the Do-rpm build script to be more flexible
   - Reworked testing for gcc3 in the RPM spec file a bit

  support-files/mysql.spec.sh
    1.74 03/12/12 23:06:18 lenz@mysql.com +5 -1
     - made testing for gcc3 a bit more robust and not to stomp on user
       settings for CXX

  Build-tools/Do-rpm
    1.26 03/12/12 23:06:18 lenz@mysql.com +58 -27
    Big overhaul:
    
     - Give the spec file name as the option, not the version number (required
       to be able to build commercial RPMs, too)
     - Some more logging and debugging, more documentation

  mysql-test/t/multi_update.test
    1.28 03/12/12 23:21:55 monty@mysql.com +0 -0
    SCCS merged

  mysql-test/r/multi_update.result
    1.26 03/12/12 23:21:55 monty@mysql.com +0 -0
    SCCS merged

ChangeSet
  1.1616.44.1 03/12/12 17:18:48 vva@eagle.mysql.r18.ru +1 -0
  changed %ld on %lu for output of mysql_thread_id(&mysql)
  as is thread_id has type ulong
  (bug #1951 thread id is printed as "signed" instead of "unsigned" in 'mysql')

  client/mysql.cc
    1.143.1.1 03/12/12 17:18:22 vva@eagle.mysql.r18.ru +4 -4
    changed %ld on %lu for output of mysql_thread_id(&mysql)
    as is thread_id has type ulong
    (bug #1951 thread id is printed as "signed" instead of "unsigned" in 'mysql')

ChangeSet
  1.1616.43.1 03/12/12 13:14:59 igor@rurik.mysql.com +3 -0
  sql_delete.cc, sql_update.cc, sql_class.h:
    Simplification of the previous fix for multi-update/delete.

  sql/sql_delete.cc
    1.102 03/12/12 13:14:39 igor@rurik.mysql.com +5 -6
    Simplification of the previous fix for multi-update/delete.

  sql/sql_update.cc
    1.93.1.1 03/12/12 13:14:19 igor@rurik.mysql.com +2 -3
    Simplification of the previous fix for multi-update/delete.

  sql/sql_class.h
    1.169 03/12/12 13:13:06 igor@rurik.mysql.com +1 -3
    Simplification of the previous fix for multi-update/delete.

  sql/sql_update.cc
    1.94 03/12/12 22:27:18 monty@mysql.com +0 -0
    Auto merged

  sql/sql_select.cc
    1.269 03/12/12 22:27:18 monty@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1616.42.1 03/12/12 22:26:58 monty@mysql.com +40 -0
  Fix autoincrement for signed columns (Bug #1366)
  Fixed problem with char > 128 in QUOTE() function. (Bug #1868)
  Disable creation of symlinks if my_disable_symlink is set
  Fixed searching of TEXT with end space. (Bug #1651)
  Fixed caching bug in multi-table-update where same table was used twice. (Bug #1711)
  Fixed problem with UNIX_TIMESTAMP() for timestamps close to 0. (Bug #1998)
  Fixed timestamp.test

  sql/time.cc
    1.27 03/12/12 22:26:56 monty@mysql.com +3 -1
    Fixed problem with UNIX_TIMESTAMP() for timestamps close to 0. (Bug #1998)

  sql/table.h
    1.45 03/12/12 22:26:56 monty@mysql.com +1 -1
    Fixed caching bug in multi-table-update where same table was used twice.
    (Bug #1711)

  sql/table.cc
    1.68 03/12/12 22:26:56 monty@mysql.com +15 -6
    Fixed searching of TEXT with end space. (Bug #1651)

  sql/sql_update.cc
    1.92.1.1 03/12/12 22:26:56 monty@mysql.com +21 -1
    Fixed caching bug in multi-table-update where same table was used twice.
    (Bug #1711)

  sql/sql_table.cc
    1.169 03/12/12 22:26:56 monty@mysql.com +4 -4
    Fixed searching of TEXT with end space. (Bug #1651)

  sql/sql_select.cc
    1.266.1.1 03/12/12 22:26:56 monty@mysql.com +7 -5
    Fixed searching of TEXT with end space. (Bug #1651)

  sql/sql_parse.cc
    1.353 03/12/12 22:26:56 monty@mysql.com +1 -2
    Make check_dup() global

  sql/sql_acl.cc
    1.120 03/12/12 22:26:56 monty@mysql.com +2 -2
    Reset ip and ip_mask if hostname is NULL

  sql/records.cc
    1.21 03/12/12 22:26:56 monty@mysql.com +6 -5
    Fixed caching bug in multi-table-update where same table was used twice.
    (Bug #1711)

  sql/opt_range.cc
    1.90 03/12/12 22:26:56 monty@mysql.com +37 -9
    Fixed searching of TEXT with end space. (Bug #1651)

  sql/mysql_priv.h
    1.210 03/12/12 22:26:56 monty@mysql.com +1 -0
    Make check_dup() external

  sql/item_strfunc.cc
    1.73 03/12/12 22:26:56 monty@mysql.com +1 -1
    Fixed problem with char > 128 in QUOTE() function. (Bug #1868)

  sql/ha_innodb.cc
    1.187 03/12/12 22:26:56 monty@mysql.com +2 -2
    HA_PART_KEY -> HA_PART_KEY_SEG

  sql/field.h
    1.52 03/12/12 22:26:56 monty@mysql.com +4 -3
    Indentation cleanup

  mysys/my_symlink2.c
    1.6 03/12/12 22:26:56 monty@mysql.com +11 -1
    Disable creation of symlinks if my_disable_symlink is set

  mysql-test/t/type_blob.test
    1.11 03/12/12 22:26:56 monty@mysql.com +49 -0
    Test of key search on TEXT/VARCHAR column with end space

  mysql-test/t/truncate.test
    1.9 03/12/12 22:26:56 monty@mysql.com +12 -0
    Test of truncate and auto_increment

  mysql-test/t/timezone.test
    1.2 03/12/12 22:26:56 monty@mysql.com +8 -2
    Test of from_unixtime()

  mysql-test/t/symlink.test
    1.6 03/12/12 22:26:56 monty@mysql.com +22 -0
    Test of ALTER TABLE and symlinks

  mysql-test/t/multi_update.test
    1.26.1.1 03/12/12 22:26:56 monty@mysql.com +10 -0
    Test of multi-update bug

  mysql-test/t/innodb.test
    1.50 03/12/12 22:26:56 monty@mysql.com +12 -0
    Add test for InnoDB behaviour with TRUNCATE

  mysql-test/t/func_time.test
    1.18 03/12/12 22:26:56 monty@mysql.com +7 -0
    Add test of unix_timestamp()

  mysql-test/t/func_str.test
    1.21 03/12/12 22:26:56 monty@mysql.com +1 -0
    Added test of QUOTE()

  mysql-test/t/auto_increment.test
    1.7 03/12/12 22:26:56 monty@mysql.com +19 -0
    Test auto_increment with signed numbers

  mysql-test/r/type_blob.result
    1.11 03/12/12 22:26:56 monty@mysql.com +146 -0
    Test of key search on TEXT/VARCHAR column with end space

  mysql-test/r/truncate.result
    1.9 03/12/12 22:26:56 monty@mysql.com +9 -0
    Test of truncate and auto_increment

  mysql-test/r/timezone.result
    1.2 03/12/12 22:26:56 monty@mysql.com +6 -0
    Test of from_unixtime()

  mysql-test/r/symlink.result
    1.7 03/12/12 22:26:56 monty@mysql.com +20 -0
    Test of ALTER TABLE and symlinks

  mysql-test/r/multi_update.result
    1.24.1.1 03/12/12 22:26:56 monty@mysql.com +10 -0
    Test of multi-update bug

  mysql-test/r/innodb.result
    1.73 03/12/12 22:26:56 monty@mysql.com +10 -0
    Add test for InnoDB behaviour with TRUNCATE

  mysql-test/r/have_met_timezone.require
    1.4 03/12/12 22:26:56 monty@mysql.com +1 -1
    Fixed test

  mysql-test/r/func_time.result
    1.21 03/12/12 22:26:56 monty@mysql.com +9 -0
    Add test of unix_timestamp()

  mysql-test/r/func_str.result
    1.23 03/12/12 22:26:56 monty@mysql.com +3 -0
    Added test of QUOTE()

  mysql-test/r/binary.result
    1.9 03/12/12 22:26:56 monty@mysql.com +1 -0
    Update results (old result was wrong)

  mysql-test/r/auto_increment.result
    1.9 03/12/12 22:26:56 monty@mysql.com +26 -0
    Test auto_increment with signed numbers

  myisam/mi_search.c
    1.36 03/12/12 22:26:56 monty@mysql.com +19 -6
    Ignore end space for VARCHAR/TEXT columns

  myisam/mi_open.c
    1.66 03/12/12 22:26:56 monty@mysql.com +2 -1
    Bug fix for future (doesn't affect current code)

  myisam/mi_key.c
    1.18 03/12/12 22:26:56 monty@mysql.com +44 -10
    Fix autoincrement for signed columns (Bug #1366). Patch by Holyfoot

  myisam/mi_check.c
    1.128 03/12/12 22:26:56 monty@mysql.com +1 -1
    Delete not used variable

  include/my_base.h
    1.41 03/12/12 22:26:56 monty@mysql.com +8 -2
    Add HA_END_SPACE_KEY to mark keys that has VARCHAR/TEXT fields.

ChangeSet
  1.1616.1.32 03/12/12 22:13:57 hf@deer.(none) +1 -0
  Fix #2093
  Update after discussion with Monty

  sql/sql_select.cc
    1.268 03/12/12 22:13:55 hf@deer.(none) +0 -7
    Wrong operation - deleted

ChangeSet
  1.1616.1.31 03/12/12 21:26:20 hf@deer.(none) +3 -0
  Proposed fix for #2093
  it happens because of the LEFT JOINT optimization in add_key_part()
  This optimization does exactly the same in JOIN and in WHERE conditions 
  Not right.
  I moved that optimization one level upper.

  sql/sql_select.cc
    1.267 03/12/12 21:26:19 hf@deer.(none) +22 -8
    optimizing of the left_join now only for WHERE conditions
    and for first table in list

  mysql-test/t/join_outer.test
    1.11 03/12/12 21:26:19 hf@deer.(none) +13 -0
    test case

  mysql-test/r/join_outer.result
    1.18 03/12/12 21:26:19 hf@deer.(none) +17 -0
    appropriate test result

  innobase/btr/btr0cur.c
    1.29 03/12/12 18:56:24 heikki@hundin.mysql.fi +2 -1
    Fix bug: if one updated a secondary index column so that its alphabetical value did not change (e.g., abc -> aBc) and rolled back the update, InnoDB failed to return the value in the secondary index to its original value

  innobase/row/row0umod.c
    1.12 03/12/12 18:56:15 heikki@hundin.mysql.fi +106 -18
    Fix bug: if one updated a secondary index column so that its alphabetical value did not change (e.g., abc -> aBc) and rolled back the update, InnoDB failed to return the value in the secondary index to its original value

  mysql-test/r/have_met_timezone.require
    1.3 03/12/12 17:40:04 monty@mysql.com +0 -0
    Rename: mysql-test/r/have_mst_timezone.require -> mysql-test/r/have_met_timezone.require

  mysql-test/r/have_mst_timezone.require
    1.2 03/12/12 17:39:24 monty@mysql.com +0 -0
    Rename: mysql-test/r/have_mest_timezone.require -> mysql-test/r/have_mst_timezone.require

  innobase/include/row0upd.h
    1.9 03/12/12 16:44:20 heikki@hundin.mysql.fi +1 -1
    Correct typing error

  innobase/include/sync0sync.ic
    1.11 03/12/12 16:41:31 heikki@hundin.mysql.fi +0 -2
    Remove inadvertently pushed sync debug code

ChangeSet
  1.1616.1.30 03/12/12 18:27:25 hf@deer.(none) +1 -0
  Edited fix for #1224.
  strcpy changed to strmake

  libmysqld/lib_sql.cc
    1.45 03/12/12 18:27:24 hf@deer.(none) +1 -1
    strcpy to strmake

ChangeSet
  1.1616.1.29 03/12/12 18:00:54 hf@deer.(none) +1 -0
  Fix for #1224 in 4.0
  we didn't specify thd->priv_host properly

  libmysqld/lib_sql.cc
    1.44 03/12/12 18:00:45 hf@deer.(none) +1 -0
    Specifying of thd->priv_host added

ChangeSet
  1.1616.1.28 03/12/12 08:09:25 heikki@hundin.mysql.fi +2 -0
  row0upd.h, row0upd.c:
    Remove wrong debug assertion and comment

  innobase/include/row0upd.h
    1.8 03/12/12 08:09:08 heikki@hundin.mysql.fi +2 -2
    Remove wrong debug assertion and comment

  innobase/row/row0upd.c
    1.20 03/12/12 08:08:26 heikki@hundin.mysql.fi +2 -4
    Remove wrong debug assertion and comment

ChangeSet
  1.1616.1.27 03/12/12 07:51:21 heikki@hundin.mysql.fi +9 -0
  Many files:
    Fix assertion failure on line 713 of row0upd.c if there is a column prefix index and the last characters in the prefix are spaces: do not assume that the length of alphabetically equal strings is the same; fix a buglet which could cause InnoDB to think that a secondary index record was not locked though it had been updated in a way which did not alpahabetically change its value, e.g., abc -> aBc

  innobase/lock/lock0lock.c
    1.25 03/12/12 07:49:25 heikki@hundin.mysql.fi +6 -0
    Fix assertion failure on line 713 of row0upd.c if there is a column prefix index and the last characters in the prefix are spaces: do not assume that the length of alphabetically equal strings is the same; fix a buglet which could cause InnoDB to think that a secondary index record was not locked though it had been updated in a way which did not alpahabetically change its value, e.g., abc -> aBc

  innobase/include/sync0sync.ic
    1.10 03/12/12 07:49:10 heikki@hundin.mysql.fi +2 -0
    Fix assertion failure on line 713 of row0upd.c if there is a column prefix index and the last characters in the prefix are spaces: do not assume that the length of alphabetically equal strings is the same; fix a buglet which could cause InnoDB to think that a secondary index record was not locked though it had been updated in a way which did not alpahabetically change its value, e.g., abc -> aBc

  innobase/include/row0upd.h
    1.7 03/12/12 07:49:07 heikki@hundin.mysql.fi +27 -4
    Fix assertion failure on line 713 of row0upd.c if there is a column prefix index and the last characters in the prefix are spaces: do not assume that the length of alphabetically equal strings is the same; fix a buglet which could cause InnoDB to think that a secondary index record was not locked though it had been updated in a way which did not alpahabetically change its value, e.g., abc -> aBc

  innobase/include/btr0cur.h
    1.11 03/12/12 07:49:06 heikki@hundin.mysql.fi +0 -16
    Fix assertion failure on line 713 of row0upd.c if there is a column prefix index and the last characters in the prefix are spaces: do not assume that the length of alphabetically equal strings is the same; fix a buglet which could cause InnoDB to think that a secondary index record was not locked though it had been updated in a way which did not alpahabetically change its value, e.g., abc -> aBc

  innobase/btr/btr0cur.c
    1.28 03/12/12 07:48:19 heikki@hundin.mysql.fi +25 -79
    Fix assertion failure on line 713 of row0upd.c if there is a column prefix index and the last characters in the prefix are spaces: do not assume that the length of alphabetically equal strings is the same; fix a buglet which could cause InnoDB to think that a secondary index record was not locked though it had been updated in a way which did not alpahabetically change its value, e.g., abc -> aBc

  innobase/row/row0vers.c
    1.11 03/12/12 07:48:11 heikki@hundin.mysql.fi +22 -5
    Fix assertion failure on line 713 of row0upd.c if there is a column prefix index and the last characters in the prefix are spaces: do not assume that the length of alphabetically equal strings is the same; fix a buglet which could cause InnoDB to think that a secondary index record was not locked though it had been updated in a way which did not alpahabetically change its value, e.g., abc -> aBc

  innobase/row/row0upd.c
    1.19 03/12/12 07:48:11 heikki@hundin.mysql.fi +76 -4
    Fix assertion failure on line 713 of row0upd.c if there is a column prefix index and the last characters in the prefix are spaces: do not assume that the length of alphabetically equal strings is the same; fix a buglet which could cause InnoDB to think that a secondary index record was not locked though it had been updated in a way which did not alpahabetically change its value, e.g., abc -> aBc

  innobase/row/row0sel.c
    1.43 03/12/12 07:48:11 heikki@hundin.mysql.fi +2 -6
    Fix assertion failure on line 713 of row0upd.c if there is a column prefix index and the last characters in the prefix are spaces: do not assume that the length of alphabetically equal strings is the same; fix a buglet which could cause InnoDB to think that a secondary index record was not locked though it had been updated in a way which did not alpahabetically change its value, e.g., abc -> aBc

  innobase/row/row0ins.c
    1.27 03/12/12 07:48:11 heikki@hundin.mysql.fi +21 -4
    Fix assertion failure on line 713 of row0upd.c if there is a column prefix index and the last characters in the prefix are spaces: do not assume that the length of alphabetically equal strings is the same; fix a buglet which could cause InnoDB to think that a secondary index record was not locked though it had been updated in a way which did not alpahabetically change its value, e.g., abc -> aBc

ChangeSet
  1.1616.41.1 03/12/12 03:39:29 dlenev@mysql.com +3 -0
  Fix for Bug #1952
  "SHOW TABLE STATUS very slow w/large number of tables"
  Replaced old algorithm which were used in my_dir() and stored
  all information about directory entries in one chunk of memory
  with new one which stores file names and MY_STAT structures in
  separate memroot, so now we don't need to copy this data during
  reallocation of dir_entry array.

  sql/sql_show.cc
    1.116 03/12/12 03:39:27 dlenev@mysql.com +1 -1
    Updated only place in code where mystat member
    of FILEINFO structure is used.

  mysys/my_lib.c
    1.15 03/12/12 03:39:27 dlenev@mysql.com +178 -161
    Replaced old algorithm in my_dir() which stored all information
    about directory entries in one chunk of memory with new one 
    which stores file names and MY_STAT structures in separate
    memroot. Now we don't copy this data during reallocation of 
    array with FILEINFO structures.
    Also tuned sizes of memory chunks during first-other
    reallocations (we suppose that we either have < 100 files 
    in the directory or > 1000 of them).

  include/my_dir.h
    1.7 03/12/12 03:39:27 dlenev@mysql.com +9 -2
    Changed mystat member of FILEINFO structure to pointer since 
    this prevents unneeded memory allocation and initialization.
    Added comment about new hidden members of MY_DIR structure.

ChangeSet
  1.1616.40.1 03/12/11 14:55:48 igor@rurik.mysql.com +6 -0
  Many files:
    Fixed a bug causing a crash for multi-update/multi-delete
    with impossible where (bug #1860).

  BitKeeper/etc/logging_ok
    1.295.1.2 03/12/11 14:55:48 igor@rurik.mysql.com +1 -0
    Logging to logging@openlogging.org accepted

  mysql-test/r/multi_update.result
    1.25 03/12/11 14:51:50 igor@rurik.mysql.com +23 -0
    Fixed a bug causing a crash for multi-update/multi-delete
    with impossible where (bug #1860).

  mysql-test/t/multi_update.test
    1.27 03/12/11 14:51:02 igor@rurik.mysql.com +26 -0
    Fixed a bug causing a crash for multi-update/multi-delete
    with impossible where (bug #1860).

  sql/sql_update.cc
    1.93 03/12/11 14:49:31 igor@rurik.mysql.com +6 -2
    Fixed a bug causing a crash for multi-update/multi-delete
    with impossible where (bug #1860).

  sql/sql_delete.cc
    1.101 03/12/11 14:47:41 igor@rurik.mysql.com +5 -1
    Fixed a bug causing a crash for multi-update/multi-delete
    with impossible where (bug #1860).

  sql/sql_class.h
    1.168 03/12/11 14:45:29 igor@rurik.mysql.com +3 -0
    Fixed a bug causing a crash for multi-update/multi-delete
    with impossible where (bug #1860).

ChangeSet
  1.1616.1.24 03/12/11 16:47:50 serg@serg.mylan +2 -0
  chk_del() should not check key delete-chain
  make a test for -inf more portable (-Inf)

  myisam/mi_check.c
    1.127 03/12/11 16:47:47 serg@serg.mylan +12 -7
    chk_del() should not check key delete-chain

  client/mysqldump.c
    1.100 03/12/11 16:47:47 serg@serg.mylan +3 -3
    make a test for -inf more portable (-Inf)

ChangeSet
  1.1616.39.1 03/12/11 16:01:37 Sinisa@sinisa.nasamreza.org +1 -0
  Merge sinisa@bk-internal.mysql.com:/home/bk/mysql-4.0
  into sinisa.nasamreza.org:/mnt/work/mysql-4.0

  sql/field.cc
    1.79 03/12/11 15:42:18 Sinisa@sinisa.nasamreza.org +0 -0
    Auto merged

ChangeSet
  1.1616.1.23 03/12/11 17:37:45 ram@gw.mysql.r18.ru +3 -0
  Added --comments mysqldump option (default value is 1).
  Fixed mysqldump test.

  mysql-test/t/mysqldump.test
    1.4 03/12/11 17:37:43 ram@gw.mysql.r18.ru +10 -12
    fixed using --skip-comment option

  mysql-test/r/mysqldump.result
    1.4 03/12/11 17:37:43 ram@gw.mysql.r18.ru +20 -0
    fixed using --skip-comment option

  client/mysqldump.c
    1.99 03/12/11 17:37:43 ram@gw.mysql.r18.ru +14 -9
    Added --comments option (default value is 1).

ChangeSet
  1.1616.38.1 03/12/11 10:53:28 lenz@mysql.com +1 -0
   - Rather "bk cat" the files from the mysqldoc BK tree during Bootstrap
     than trying to copy them (they might have been "bk clean"ed and thus
     not available for copying)
   - Brushed up the Bootstrap online help a bit

  Build-tools/Bootstrap
    1.15 03/12/11 10:53:26 lenz@mysql.com +13 -8
     - Rather "bk cat" the files from the mysqldoc BK tree than trying to
       copy them (they might have been "bk clean"ed and thus not available
       for copying)
     - Brushed up the online help a bit

ChangeSet
  1.1616.1.22 03/12/11 13:50:47 ram@gw.mysql.r18.ru +2 -0
  Disable some tests until replace can handle regexp

  mysql-test/t/mysqldump.test
    1.3 03/12/11 13:50:45 ram@gw.mysql.r18.ru +11 -9
    Disable some tests until replace can handle regexp

  mysql-test/r/mysqldump.result
    1.3 03/12/11 13:50:45 ram@gw.mysql.r18.ru +0 -48
    Disable some tests until replace can handle regexp

ChangeSet
  1.1616.1.21 03/12/11 06:24:32 monty@mysql.com +1 -0
  Merge bk-internal.mysql.com:/home/bk/mysql-4.0
  into mysql.com:/my/mysql-4.0

  mysys/my_thr_init.c
    1.24 03/12/11 06:24:31 monty@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1616.37.1 03/12/11 06:24:08 monty@mysql.com +21 -0
  Fixed a possible memory leak on MacOSX when using the shared libmysql.so library (Bug #2061)
  mysql_server_init() now returns error code if something went wrong (Bug #2062)
  Don't use my_fopen() when reading symlink information as this may cause problems when a lot of files are opened.
  Free thread keys with pthread_key_delete() instead of relying on automatic free. (Bug #2062)
  Fixed bug in UNION statement with alias '*'. (Bug #1249)
  Fixed a bug in DELETE ... ORDER BY ... LIMIT where the rows where not deleted in the proper order. (Bug #1024).
  FOUND_ROWS() could return incorrect number of rows after a query with an impossible WHERE condition.
  HOW DATABASES doesn't anymore show .sym files (on windows) that doesn't point to a valid directory. (Bug #1385)

  sql/sql_yacc.yy
    1.221 03/12/11 06:24:05 monty@mysql.com +1 -0
    Allow syntax UNION DISTINCT

  sql/sql_show.cc
    1.115 03/12/11 06:24:05 monty@mysql.com +12 -0
    SHOW DATABASES doesn't anymore show .sym files (on windows) that doesn't point to a valid directory. (Bug #1385)

  sql/sql_select.cc
    1.266 03/12/11 06:24:05 monty@mysql.com +2 -0
    FOUND_ROWS() could return incorrect number of rows after a query with an impossible WHERE condition.

  sql/sql_delete.cc
    1.100 03/12/11 06:24:05 monty@mysql.com +9 -3
    Fixed a bug in DELETE ... ORDER BY ... LIMIT where the rows where not deleted in the proper order. (Bug #1024).

  sql/sql_base.cc
    1.168 03/12/11 06:24:05 monty@mysql.com +6 -1
    Fixed bug in UNION statement with alias '*'. (Bug #1249)

  mysys/my_thr_init.c
    1.22.1.1 03/12/11 06:24:05 monty@mysql.com +20 -6
    Free thread keys with pthread_key_delete() instead of relying on automatic free. (Bug #2062)

  mysys/my_lib.c
    1.14 03/12/11 06:24:05 monty@mysql.com +4 -2
    More debug information

  mysys/my_init.c
    1.27.1.1 03/12/11 06:24:05 monty@mysql.com +15 -5
    my_init() now returns error code if something went wrong

  mysys/mf_pack.c
    1.15 03/12/11 06:24:05 monty@mysql.com +14 -13
    Don't use my_fopen() when reading symlink information as this may cause problems when a lot of files are opened.

  mysql-test/t/union.test
    1.32 03/12/11 06:24:05 monty@mysql.com +8 -1
    Added test for problem with alias '*' (Bug #1249)

  mysql-test/t/select_found.test
    1.8 03/12/11 06:24:05 monty@mysql.com +14 -0
    Added test for problem with impossible WHERE (Bug #1468)

  mysql-test/t/limit.test
    1.6 03/12/11 06:24:05 monty@mysql.com +19 -3
    Added test for DELETE ... ORDER BY ... LIMIT (bug #1024)

  mysql-test/r/union.result
    1.28 03/12/11 06:24:05 monty@mysql.com +5 -1
    Update results

  mysql-test/r/select_found.result
    1.10 03/12/11 06:24:05 monty@mysql.com +19 -0
    Update results

  mysql-test/r/limit.result
    1.7 03/12/11 06:24:05 monty@mysql.com +20 -3
    Update results

  libmysql/libmysql.c
    1.138 03/12/11 06:24:05 monty@mysql.com +16 -6
    mysql_server_init() and mysql_once_init() now returns error code if something went wrong (Bug #2062)

  include/mysql_com.h
    1.54 03/12/11 06:24:05 monty@mysql.com +1 -1
    my_init() now returns error code if something went wrong

  include/mysql.h
    1.52 03/12/11 06:24:05 monty@mysql.com +1 -1
    mysql_once_init() now returns error code if something went wrong

  include/my_sys.h
    1.103 03/12/11 06:24:05 monty@mysql.com +1 -1
    my_init() now returns error code if something went wrong

  include/my_pthread.h
    1.64 03/12/11 06:24:05 monty@mysql.com +3 -0
    Fixed a possible memory leak on MacOSX when using the shared libmysql.so library (Bug #2061)

  include/config-win.h
    1.34 03/12/11 06:24:05 monty@mysql.com +4 -0
    Ensure that USE_SYMDIR is set for all windows versions
    (This is set in makefiles, so this is just an extra safety measure)

ChangeSet
  1.1616.36.1 03/12/10 22:26:31 konstantin@mysql.com +11 -0
  cleanup: if there is return from if-part, we don't need else statement

  sql/sql_parse.cc
    1.352 03/12/10 22:26:29 konstantin@mysql.com +1 -2
    cleanup: if there is return from if-part, we don't need else statement

  sql/sql_insert.cc
    1.107 03/12/10 22:26:29 konstantin@mysql.com +8 -11
    cleanup: if there is return from if-part, we don't need else statement

  sql/sql_analyse.cc
    1.20 03/12/10 22:26:29 konstantin@mysql.com +2 -6
    cleanup: if there is return from if-part, we don't need else statement

  sql/opt_range.cc
    1.89 03/12/10 22:26:29 konstantin@mysql.com +1 -1
    cleanup: if there is return from if-part, we don't need else statement

  sql/mysqld.cc
    1.457.1.12 03/12/10 22:26:29 konstantin@mysql.com +1 -1
    cleanup: if there is return from if-part, we don't need else statement

  sql/item_sum.cc
    1.38 03/12/10 22:26:29 konstantin@mysql.com +2 -4
    cleanup: if there is return from if-part, we don't need else statement

  sql/item_strfunc.cc
    1.72 03/12/10 22:26:29 konstantin@mysql.com +5 -8
    cleanup: if there is return from if-part, we don't need else statement

  sql/item_func.cc
    1.105 03/12/10 22:26:29 konstantin@mysql.com +10 -15
    cleanup: if there is return from if-part, we don't need else statement

  sql/item_cmpfunc.cc
    1.60 03/12/10 22:26:29 konstantin@mysql.com +2 -3
    cleanup: if there is return from if-part, we don't need else statement

  sql/item.cc
    1.34 03/12/10 22:26:29 konstantin@mysql.com +2 -3
    cleanup: if there is return from if-part, we don't need else statement

  sql/field.cc
    1.77.1.3 03/12/10 22:26:29 konstantin@mysql.com +2 -2
    cleanup: if there is return from if-part, we don't need else statement

ChangeSet
  1.1616.35.2 03/12/10 17:57:07 ram@gw.mysql.r18.ru +1 -0
  proper musqldump test result
  (in addition to CS 1.1623 03/12/09)

ChangeSet
  1.1616.34.2 03/12/10 17:55:00 gluh@gluh.mysql.r18.ru +1 -0
  Merge sgluhov@bk-internal.mysql.com:/home/bk/mysql-4.0
  into gluh.mysql.r18.ru:/home/gluh/mysql-4.0.ssl

ChangeSet
  1.1616.1.18 03/12/10 17:30:37 konstantin@mysql.com +3 -0
  fix for bug #1993 'bit functions do not return unsigned values'
  introduced base class Item_func_bit for bit functions

  sql/item_func.h
    1.64 03/12/10 17:30:33 konstantin@mysql.com +21 -17
    fix for bug #1993 'bit functions do not return unsigned values'
    introduced base class Item_func_bit for bit functions

  mysql-test/t/func_op.test
    1.4 03/12/10 17:30:33 konstantin@mysql.com +9 -0
    added tests for bug #1993 'bit functions do not return unsigned values'

  mysql-test/r/func_op.result
    1.6 03/12/10 17:30:33 konstantin@mysql.com +18 -0
    test results for bug #1993 'bit functions do not return unsigned values'

  mysql-test/r/mysqldump.result
    1.2 03/12/10 17:57:05 ram@gw.mysql.r18.ru +48 -0
    proper musqldump test result
    (in addition to CS 1.1623 03/12/09)

  acinclude.m4
    1.95 03/12/10 17:54:57 gluh@gluh.mysql.r18.ru +0 -0
    Auto merged

ChangeSet
  1.1547.1.2 03/12/10 17:53:55 gluh@gluh.mysql.r18.ru +1 -0
  Fix for bug# 1142 ./configure - error in file causes failure of compile (SSL option needed)

  acinclude.m4
    1.94 03/12/10 17:53:53 gluh@gluh.mysql.r18.ru +2 -2
    Fix for bug# 1142 ./configure - error in file causes failure of compile (SSL option needed)

ChangeSet
  1.1616.33.1 03/12/10 15:17:23 konstantin@mysql.com +3 -0
  followup to fix for bug #1790 BIT_AND() result in GROUP BY different when 
  SQL_BIG_RESULT used": now BIT_AND() always returns 18446744073709551615
  if no rows were found.
  This patch also fixes bug #1972: "BIT_AND() and BIT_OR() still return 
  a *signed* 64bit value"

  sql/item_sum.cc
    1.37 03/12/10 15:17:21 konstantin@mysql.com +5 -4
    followup to fix for bug #1790 BIT_AND() result in GROUP BY different when 
    SQL_BIG_RESULT used": now BIT_AND() always returns 18446744073709551615
    if no rows were found.
    This patch also fixes bug #1972: "BIT_AND() and BIT_OR() still return 
    a *signed* 64bit value"

  mysql-test/t/func_group.test
    1.8 03/12/10 15:17:21 konstantin@mysql.com +8 -0
    added tests for bug #1972 "BIT_AND() and BIT_OR() still return a 
    *signed* 64bit value"

  mysql-test/r/func_group.result
    1.12 03/12/10 15:17:21 konstantin@mysql.com +17 -6
    followup to fix for bug #1790 BIT_AND() result in GROUP BY different when 
    SQL_BIG_RESULT used": test results fixed
    bug #1972 "BIT_AND() and BIT_OR() still return a *signed* 64bit value":
    results of new tests

ChangeSet
  1.1616.1.15 03/12/10 12:03:54 monty@mysql.com +1 -0
  Add cast to remove compiler warning

  sql/sql_cache.cc
    1.58 03/12/10 12:03:52 monty@mysql.com +1 -1
    Add cast to remove compiler warning

ChangeSet
  1.1623.1.1 03/12/09 20:03:48 bk@srv.(none) +2 -0
  Merge greg@grande:/bk/mysql-4.0 into srv.(none):/usr/home/bk/mysql-4.0

  sql/mysqld.cc
    1.462 03/12/09 20:03:46 bk@srv.(none) +0 -0
    Auto merged

  include/my_global.h
    1.58 03/12/09 20:03:45 bk@srv.(none) +0 -0
    Auto merged

ChangeSet
  1.1616.29.2 03/12/10 01:08:10 konstantin@mysql.com +2 -0
  bug #1335 tests followup:
  --disable_query_log was not a good idea, Serg says

  mysql-test/t/group_by.test
    1.25 03/12/10 01:08:09 konstantin@mysql.com +0 -4
    bug #1335 tests followup:
    --disable_query_log was not a good idea, Serg says

  mysql-test/r/group_by.result
    1.35 03/12/10 01:08:09 konstantin@mysql.com +14 -0
    bug #1335 tests followup:
    --disable_query_log was not a good idea, Serg says
    tests results updated

ChangeSet
  1.1616.31.1 03/12/10 00:00:20 monty@mysql.com +5 -0
  Added checking of return value from my_once_alloc() in charset
  Added checking of return value from malloc() in reg_init()

  sql/item_strfunc.cc
    1.71 03/12/10 00:00:18 monty@mysql.com +4 -0
    Added comment

  regex/reginit.c
    1.5 03/12/10 00:00:18 monty@mysql.com +10 -0
    Abort if out of memory in reg_init() (unlikely)

  mysys/charset.c
    1.36 03/12/10 00:00:18 monty@mysql.com +38 -14
    Added checking of return value from my_once_alloc()

  dbug/dbug.c
    1.15 03/12/10 00:00:18 monty@mysql.com +1 -1
    Removed not needed test

  client/mysqltest.c
    1.108.1.1 03/12/10 00:00:18 monty@mysql.com +1 -0
    Added comment

ChangeSet
  1.1616.30.1 03/12/09 21:56:11 serg@serg.mylan +1 -0
  followup

  sql/opt_range.cc
    1.88 03/12/09 21:56:08 serg@serg.mylan +2 -2
    followup

ChangeSet
  1.1616.29.1 03/12/09 23:52:58 konstantin@mysql.com +3 -0
  Fix for bug #1335: filesort is missing in EXPLAIN if ORDER BY NULL is used

  sql/sql_select.cc
    1.265 03/12/09 23:52:53 konstantin@mysql.com +12 -2
    Fix for bug #1335: filesort is missing in EXPLAIN if ORDER BY NULL is used

  mysql-test/t/group_by.test
    1.24 03/12/09 23:52:53 konstantin@mysql.com +28 -0
    added few explicit tests for bug #1335

  mysql-test/r/group_by.result
    1.34 03/12/09 23:52:53 konstantin@mysql.com +16 -1
    test results fixed

ChangeSet
  1.1616.1.11 03/12/09 20:50:11 serg@serg.mylan +1 -0
  Merge bk-internal:/home/bk/mysql-4.0/
  into serg.mylan:/usr/home/serg/Abk/mysql-4.0

  sql/mysqld.cc
    1.457.1.11 03/12/09 20:50:07 serg@serg.mylan +0 -0
    Auto merged

ChangeSet
  1.1616.16.8 03/12/09 20:49:48 serg@serg.mylan +6 -0
  code cleanup after some reasoning

  sql/table.cc
    1.67 03/12/09 20:49:45 serg@serg.mylan +2 -3
    code cleanup after some reasoning

  sql/repl_failsafe.cc
    1.36 03/12/09 20:49:45 serg@serg.mylan +0 -1
    code cleanup after some reasoning

  sql/opt_range.cc
    1.87 03/12/09 20:49:45 serg@serg.mylan +1 -1
    code cleanup after some reasoning

  sql/mysqld.cc
    1.457.5.1 03/12/09 20:49:45 serg@serg.mylan +2 -2
    code cleanup

  myisam/ft_boolean_search.c
    1.59 03/12/09 20:49:45 serg@serg.mylan +9 -2
    code cleanup after some reasoning

  libmysql/libmysql.c
    1.137 03/12/09 20:49:45 serg@serg.mylan +2 -1
    code cleanup after some reasoning

ChangeSet
  1.1616.1.10 03/12/09 20:17:28 monty@mysql.com +1 -0
  Add newline after pid in pidfile

  sql/mysqld.cc
    1.457.1.10 03/12/09 20:17:26 monty@mysql.com +1 -1
    Add newline after pid in pidfile

ChangeSet
  1.1616.1.9 03/12/09 16:21:43 monty@mysql.com +1 -0
  Merge bk-internal.mysql.com:/home/bk/mysql-4.0
  into mysql.com:/my/mysql-4.0

  sql/mysqld.cc
    1.457.1.9 03/12/09 16:21:42 monty@mysql.com +0 -0
    Auto merged

ChangeSet
  1.1616.28.1 03/12/09 16:21:23 monty@mysql.com +1 -0
  Don't limit number of tables in table cache

  sql/mysqld.cc
    1.457.4.1 03/12/09 16:21:20 monty@mysql.com +1 -1
    Don't limit number of tables in table cache

ChangeSet
  1.1616.27.1 03/12/09 17:33:29 ram@gw.mysql.r18.ru +2 -0
  Fix for the bugs:
  #2005 Long decimal comparion bug.                                               
  #2055 mysqldump should replace "-inf" numeric field values with "NULL"

  mysql-test/t/mysqldump.test
    1.2 03/12/09 17:33:13 ram@gw.mysql.r18.ru +19 -0
    Fix for the bugs:
    #2005 Long decimal comparion bug.                                               
    #2055 mysqldump should replace "-inf" numeric field values with "NULL"

  client/mysqldump.c
    1.98 03/12/09 17:33:13 ram@gw.mysql.r18.ru +29 -5
    Fix for the bugs:
    #2005 Long decimal comparion bug.                                               
    #2055 mysqldump should replace "-inf" numeric field values with "NULL"

ChangeSet
  1.1616.1.8 03/12/09 12:59:00 ram@gw.mysql.r18.ru +2 -0
  test for the bug #1885: mysqldump does not dumps timestamp default.

  mysql-test/t/type_timestamp.test
    1.9 03/12/09 12:58:58 ram@gw.mysql.r18.ru +6 -0
    test for the bug #1885: mysqldump does not dumps timestamp default.

  mysql-test/r/type_timestamp.result
    1.11 03/12/09 12:58:58 ram@gw.mysql.r18.ru +2 -0
    test for the bug #1885: mysqldump does not dumps timestamp default.

ChangeSet
  1.1616.1.7 03/12/09 12:36:57 ram@gw.mysql.r18.ru +1 -0
  Fix for the bug #1885: mysqldump does not dumps timestamp default.

  sql/sql_parse.cc
    1.351 03/12/09 12:36:41 ram@gw.mysql.r18.ru +6 -1
    Fix for the bug #1885: mysqldump does not dumps timestamp default.

ChangeSet
  1.1616.1.6 03/12/08 20:53:46 guilhem@mysql.com +1 -0
  Create PID file with O_TRUNC, so that it is emptied before it is written to.
  Otherwise, if the previous run ended with a crash, and the PID was 1234,
  and you have rebooted the machine and the new PID is 99 then in the PID
  file you will have 9934.
  Note: users of mysqld_safe did not have the problem because this script
  deletes the PID file before starting mysqld.

  sql/mysqld.cc
    1.457.1.8 03/12/08 20:53:43 guilhem@mysql.com +4 -2
    Create PID file with O_TRUNC, so that it is emptied before it is written to.
    Otherwise, if the previous run ended with a crash, and the PID was 1234,
    and you have rebooted the machine and the new PID is 99 then in the PID
    file you will have 9934.
    Note: users of mysqld_safe did not have the problem because this script
    deletes the PID file before starting mysqld.

ChangeSet
  1.1616.17.11 03/12/08 16:18:25 guilhem@mysql.com +3 -0
  Fix for BUG#2045 "Sending SIGHUP to mysqld crashes it if running with --log-bin".
  The constructor of Rotate_log_event used when we are rotating our binlog or
  relay log, should not assume that there is a nonzero THD available.
  For example, when we are reacting to SIGHUP, the THD is 0.
  In fact we don't need to use the THD in this constructor;
  we can do like for Stop_log_event, and use the minimal Log_event
  constructor.
  If we were allowed to put Unix-specific commands in the testsuite,
  I'd add a test for this (<sigh>).

  sql/log_event.h
    1.85 03/12/08 16:17:01 guilhem@mysql.com +1 -1
    The constructor of Rotate_log_event used when we are rotating our binlog or
    relay log, should not assume that there is a nonzero THD available.
    For example, when we are reacting to SIGHUP, the THD is 0.
    In fact we don't need to use the THD in this constructor;
    we can do like for Stop_log_event, and use the minimal Log_event
    constructor.
    This fixes BUG#2045 
    "Sending SIGHUP to mysqld crashes it if running with --log-bin"

  sql/log_event.cc
    1.140 03/12/08 16:16:51 guilhem@mysql.com +6 -1
    A comment.

  sql/log.cc
    1.142 03/12/08 16:16:41 guilhem@mysql.com +2 -2
    A comment to warn that thd can be 0.
    The part about LOG_EVENT_FORCED_ROTATE_F is just to avoid segfault;
    this flag is already removed in 4.1 anyway.

ChangeSet
  1.1616.1.4 03/12/07 15:11:08 gluh@gluh.mysql.r18.ru +1 -0
  Merge sgluhov@bk-internal.mysql.com:/home/bk/mysql-4.0
  into gluh.mysql.r18.ru:/home/gluh/mysql-4.0.defweek

  sql/mysqld.cc
    1.457.1.7 03/12/07 15:11:06 gluh@gluh.mysql.r18.ru +0 -0
    Auto merged

ChangeSet
  1.1616.26.1 03/12/07 15:10:21 gluh@gluh.mysql.r18.ru +6 -0
  WL#1175: more default_week_formats for iso compatibility
  
  New formats added for 'week()' function and 'default_week_format' option(4 - 7).
  Next formats is supported now:
  *Value* *Meaning*
    `0'     Week starts on Sunday; First Sunday of the year starts week 1.
    	  Week() returns 0-53.
    `1'     Week starts on Monday; Weeks numbered according to ISO 8601:1988.
  	  Week() returns 0-53.
    `2'     Week starts on Sunday; First Sunday of the year starts week 1.
    	  Week() returns 1-53.
    `3'     Week starts on Monday; Weeks numbered according to ISO 8601:1988.
  	  Week() returns 1-53.
    `4'     Week starts on Sunday; Weeks numbered according to ISO 8601:1988.
  	  Week() returns 0-53.
    `5'     Week starts on Monday;  First Monday of the year starts week 1.
    	  Week() returns 0-53.
    `6'     Week starts on Sunday; Weeks numbered according to ISO 8601:1988.
  	  Week() returns 1-53.
    `7'     Week starts on Monday;  First Monday of the year starts week 1.
    	  Week() returns 1-53.

  sql/time.cc
    1.26 03/12/07 15:10:05 gluh@gluh.mysql.r18.ru +49 -19
    WL#1175 more default_week_formats for iso compatibility

  sql/mysqld.cc
    1.457.3.1 03/12/07 15:10:05 gluh@gluh.mysql.r18.ru +1 -1
    WL#1175 more default_week_formats for iso compatibility

  sql/mysql_priv.h
    1.209 03/12/07 15:10:05 gluh@gluh.mysql.r18.ru +6 -2
    WL#1175 more default_week_formats for iso compatibility

  sql/item_timefunc.cc
    1.24 03/12/07 15:10:05 gluh@gluh.mysql.r18.ru +52 -16
    WL#1175 more default_week_formats for iso compatibility

  mysql-test/t/func_time.test
    1.17 03/12/07 15:10:05 gluh@gluh.mysql.r18.ru +12 -0
    Test for 'default_week_format' option and 'week' function

  mysql-test/r/func_time.result
    1.20 03/12/07 15:10:05 gluh@gluh.mysql.r18.ru +25 -2
    Test for 'default_week_format' option and 'week' function

ChangeSet
  1.1616.1.3 03/12/07 13:36:29 gluh@gluh.mysql.r18.ru +1 -0
  Merge sgluhov@bk-internal.mysql.com:/home/bk/mysql-4.0
  into gluh.mysql.r18.ru:/home/gluh/mysql-4.0.pass

  sql/sql_parse.cc
    1.350 03/12/07 13:36:27 gluh@gluh.mysql.r18.ru +0 -0
    Auto merged

ChangeSet
  1.1616.25.1 03/12/05 21:45:19 hf@deer.(none) +1 -0
  Fix for #1890 and #1959
  This bug happens under Windows & Embedded server
  Reason is that pthread_self() always returns NULL in this case.
  This confuses thr_lock function and it doesn't stop
  thread inserting in the write-locked table.
  
  Global problem is that there's no way under Windows to get
  unique thread handle for working thread.
  Monty made a workaround for server - we store the thread's handle
  we get when we create thread in the thread-specific variable.
  This doesn't work with the embedded library for we don't control
  thread creation there.
  
  I added code that sets CurrentThreadId as the pthread_self
  for the embedded library.
  It seems to solve problem because it's unique and we don't use
  pthread_self as a parameter for thread functions in embedded library. 

  mysys/my_thr_init.c
    1.23 03/12/05 21:45:18 hf@deer.(none) +3 -0
    setting of tmp->thread_self added

ChangeSet
  1.1616.16.7 03/12/05 19:20:06 konstantin@mysql.com +1 -0
  typo fixed

  include/my_global.h
    1.55.1.4 03/12/05 19:20:05 konstantin@mysql.com +2 -2
    typo fixed

ChangeSet
  1.1616.16.6 03/12/05 12:52:07 konstantin@mysql.com +2 -0
  attempt to make ULONGLONG_MAX work on Windows.

  include/my_global.h
    1.55.1.3 03/12/05 12:52:06 konstantin@mysql.com +1 -0
    comment about config-win.h added

  include/config-win.h
    1.33 03/12/05 12:52:06 konstantin@mysql.com +1 -0
    ULONGLONG_MAX definition added

ChangeSet
  1.1624 03/12/05 13:43:41 kp@blr-techserv.(none) +2 -0
  Changes for get_lock failing on Netware

  BitKeeper/etc/ignore
    1.153 03/12/05 13:43:39 kp@blr-techserv.(none) +2 -0
    Added include/config-netware.h=-PaTcH_BaCkUp! include/config-netware.h.rej to the ignore list

  include/config-netware.h
    1.5 03/12/05 13:43:38 kp@blr-techserv.(none) +1 -1
    Changes for get_lock failing on Netware

